Bug 206338 - net/shadowsocks-libev: Disable TCP_FASTOPEN on FreeBSD (Fails to compile on CURRENT)
Summary: net/shadowsocks-libev: Disable TCP_FASTOPEN on FreeBSD (Fails to compile on C...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fukang Chen
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-17 16:38 UTC by Fukang Chen
Modified: 2016-03-30 14:16 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+
loader: merge-quarterly+


Attachments
shadowsocks-libev-1.6.4.diff (489 bytes, text/plain)
2016-01-17 16:38 UTC, Fukang Chen
xiaoding+freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fukang Chen freebsd_committer 2016-01-17 16:38:04 UTC
Created attachment 165720 [details]
shadowsocks-libev-1.6.4.diff

net/shadowsocks-libev failed to compile on FreeBSD 11.0-CURRENT:
http://p.defau.lt/?03767uGJxTGOj9CtFItHOg

It looks like TCP_FASTOPEN has been introduced into base recently:
https://svnweb.freebsd.org/base/head/sys/netinet/tcp.h?r1=292309&r2=292706&pathrev=292706

I think we can just disable it on FreeBSD for now, 
here's the poudriere log after applying the patch:
http://p.defau.lt/?UyMsDov4iDA17iH00cQjWg
Comment 1 xiaoding+freebsd 2016-01-19 07:11:24 UTC
(In reply to Fukang Chen from comment #0)
I was in doubt whether the '__linux' macro was incorrectly introduced in latest clang compiler, since 'TCP_FASTOPEN' was defined under the #ifdef __linux directive in shadowsocks common.h header.

Now the reason is clear. Thank you!
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-19 07:17:17 UTC
Reporter is Committer, assign accordingly.

Fukang, feel free to commit this (Approved by : koobs) once you are confident with QA (portlint, poudriere) and we have maintainer-approval + on the attachment

You'll also want to "MFH: 2016Q1" in the commit log, and once approved, merge to quarterly. There is /usr/ports/Tools/scripts/mfh for that.
Comment 3 xiaoding+freebsd 2016-01-19 07:44:31 UTC
Comment on attachment 165720 [details]
shadowsocks-libev-1.6.4.diff

Add maintainer-approval. Thanks!
Comment 4 Fukang Chen freebsd_committer 2016-01-19 13:53:04 UTC
Okay, thanks koobs@ and xiaoding.
Comment 5 commit-hook freebsd_committer 2016-01-19 13:54:26 UTC
A commit references this bug:

Author: loader
Date: Tue Jan 19 13:53:25 UTC 2016
New revision: 406685
URL: https://svnweb.freebsd.org/changeset/ports/406685

Log:
  - Disable TCP_FASTOPEN to fix build on 11.0-CURRENT
  - Pet portlint (PORTVERSION appears out-of-order)

  PR:             206338
  Approved by:    koobs
  Approved by:    Xiaoding Liu <xiaoding xiaoding org> (maintainer)
  Submitted by:   loader
  MFH:            2016Q1

Changes:
  head/net/shadowsocks-libev/Makefile
Comment 6 commit-hook freebsd_committer 2016-01-19 15:16:49 UTC
A commit references this bug:

Author: loader
Date: Tue Jan 19 15:15:49 UTC 2016
New revision: 406709
URL: https://svnweb.freebsd.org/changeset/ports/406709

Log:
  MFH: r406685

  - Disable TCP_FASTOPEN to fix build on 11.0-CURRENT
  - Pet portlint (PORTVERSION appears out-of-order)

  PR:             206338
  Approved by:    koobs
  Approved by:    Xiaoding Liu <xiaoding xiaoding org> (maintainer)
  Submitted by:   loader
  Approved by:    portmgr (erwin)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/net/shadowsocks-libev/Makefile